Results 1 to 6 of 6

Thread: yast2 does not work in KDE4.3.4

  1. #1

    Default yast2 does not work in KDE4.3.4

    I moved to KDE4.3.4 which is now the STABLE KDE4 under openSUSE-11.1 and now yast2 does not start. The error message says:
    line 440: 5573 segmentation fault $y2ccbin $Y2UI_ARGS "$@"
    Is this a known fault or is there something I can do to correct it? How to re-install it, given that it is yast which is broken?

    Thanks for help.

  2. #2

    Default Re: yast2 does not work in KDE4.3.4

    Quote Originally Posted by PingooseCovert View Post
    I moved to KDE4.3.4 which is now the STABLE KDE4 under openSUSE-11.1 and now yast2 does not start. The error message says:
    line 440: 5573 segmentation fault $y2ccbin $Y2UI_ARGS "$@"
    Is this a known fault or is there something I can do to correct it? How to re-install it, given that it is yast which is broken?

    Thanks for help.
    first, is there more on the error message? like a file or something?

    second, you can try to start yast by typing the following in a terminal:

    Code:
    $ su
    $ yast2 --ncurses
    this will open a textmode yast. this is keyboard based, but should always work.

  3. #3

    Default Re: yast2 does not work in KDE4.3.4

    Thanks for suggestions.

    I have just corrected the issue myself. In fact the software updater worked on its own (i.e. not going via yast control centre) and so I was able to do an unconditional update on yast2_control_center and yast2_control_center_qt and yast now starts under KDE4.3.4.

    Hope this helps anyone else with this issue.

  4. #4
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    24,718

    Default Re: yast2 does not work in KDE4.3.4

    Please: not
    Code:
    $ su
    $ yast2 --ncurses
    but:
    Code:
    $ su -
    # yast2 --ncurses
    Mind the - parameter of su!
    Shorter:
    Code:
    $ su -
    # yast
    Henk van Velden

  5. #5

    Default Re: yast2 does not work in KDE4.3.4

    Quote Originally Posted by hcvv View Post
    Please: not
    Code:
    $ su
    $ yast2 --ncurses
    but:
    Code:
    $ su -
    # yast2 --ncurses
    whats the difference except that the first one starts in the current directory (which i usually want)?

  6. #6
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    24,718

    Default Re: yast2 does not work in KDE4.3.4

    You can of course find the exact difference in
    Code:
    man su
    In short, you will have root powers, but still the end-users environment. This may be annoying because e.g. /sbin is not in your PATH, but even dangerous because the users umask, alisases and PATH variable (there may be more) can lead to unexpected execution of the wrong program in the wrong place.
    Henk van Velden

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •